summaryrefslogtreecommitdiff
path: root/src/password-store.sh
diff options
context:
space:
mode:
Diffstat (limited to 'src/password-store.sh')
-rwxr-xr-xsrc/password-store.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/src/password-store.sh b/src/password-store.sh
index 6771ab2..db6f4ee 100755
--- a/src/password-store.sh
+++ b/src/password-store.sh
@@ -160,9 +160,9 @@ case "$command" in
exit 1
fi
if [ $clip -eq 0 ]; then
- exec gpg -q -d --yes "$passfile"
+ exec gpg -q -d --yes --batch "$passfile"
else
- clip "$(gpg -q -d --yes "$passfile" | head -n 1)" "$path"
+ clip "$(gpg -q -d --yes --batch "$passfile" | head -n 1)" "$path"
fi
fi
;;
@@ -248,7 +248,7 @@ case "$command" in
action="Added"
if [[ -f $passfile ]]; then
- gpg -q -d -o "$tmp_file" --yes "$passfile" || exit 1
+ gpg -q -d -o "$tmp_file" --yes --batch "$passfile" || exit 1
action="Edited"
fi
${EDITOR:-vi} "$tmp_file"
ro' Neumann2-16/+25 2010-04-15Better sorting of the database types in the preferences.René 'Necoro' Neumann2-6/+6 2010-04-15Add notify-python dependency for the version checkerRené 'Necoro' Neumann1-1/+1 2010-04-15Make the database type choice an info messageRené 'Necoro' Neumann2-7/+13 2010-04-15Renamed es_ES to esRené 'Necoro' Neumann1-0/+0 2010-04-15Fixed dependancy of the new_version plugin from "dev-util/git" to "dev-vcs/gi...Clement Bourgeois1-1/+1 2010-04-14Make some useless info messages being debug statementsRené 'Necoro' Neumann2-34/+17 2010-04-14Improve the C modulesRené 'Necoro' Neumann3-37/+52 2010-04-14Small modifications made to the French translation (typos, grammar).Clement Bourgeois1-69/+69 2010-04-14Fixed the unicode support and stuff ... and also made eix faster :)René 'Necoro' Neumann1-20/+22 2010-04-14Disable debug messages by defaultRené 'Necoro' Neumann1-1/+1 2010-04-13Better eix error inheritance and handlingRené 'Necoro' Neumann1-2/+9 2010-04-13Fix the handling of FilterSets. Fixes bug #558887.René 'Necoro' Neumann2-56/+64 2010-04-12Updated newsRené 'Necoro' Neumann1-0/+1 2010-04-13Added my name to translators list.Clement Bourgeois1-0/+1